INTERFACE
SUBROUTINE GEN_CORR_PERT(PGRIDL,P_LENGTH_SCALE,CDTYPE,YDSTREAM,PSPEC,LD_USE_REDUCED_RESOL)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE RANDOM_NUMBERS_MIX
REAL(KIND=JPRB), INTENT(OUT) :: PGRIDL(:,:,:)
REAL(KIND=JPRB), INTENT(IN) :: P_LENGTH_SCALE
CHARACTER(LEN=*), INTENT(IN) :: CDTYPE
TYPE(randomNumberStream), OPTIONAL, INTENT(INOUT) :: YDSTREAM
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSPEC(:,:)
LOGICAL, OPTIONAL, INTENT(IN) :: LD_USE_REDUCED_RESOL
END SUBROUTINE GEN_CORR_PERT
END INTERFACE
